(* Useful numeric constants for ocaml
   Copyright (C) 2003 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

(** Numeric constants *)

val e: float
(** Euler? ... Euler? ... Euler? *)

val log2e: float
(** [Math.log2 e] *)

val log10e: float
(** [log10 e] *)

val ln2: float
(** [log 2] *)

val ln10: float
(** [log 10] *)

val pi: float
(** Cherry *)

val pi2: float
(** [pi /. 2.] *)

val pi4: float
(** [pi /. 4.] *)

val invpi: float
(** [1. /. pi] *)

val invpi2: float
(** [2. /. pi] *)

val sqrtpi2: float
(** [2. *. sqrt pi] *)

val sqrt2: float
(** [sqrt 2.] *)

val invsqrt2: float
(** [1. /. sqrt 2.] *)

